# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "amqp"
  s.version = "0.9.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Aman Gupta", "Jakub Stastny aka botanicus", "Michael S. Klishin"]
  s.date = "2012-06-22"
  s.description = "Widely used, feature-rich asynchronous AMQP 0.9.1 client with batteries included."
  s.email = ["michael@novemberain.com", "stastny@101ideas.cz"]
  s.extra_rdoc_files = ["README.md", "docs/Durability.textile", "docs/Exchanges.textile", "docs/PatternsAndUseCases.textile", "docs/ConnectingToTheBroker.textile", "docs/ConnectionEncryptionWithTLS.textile", "docs/RunningTests.textile", "docs/DocumentationGuidesIndex.textile", "docs/Troubleshooting.textile", "docs/RabbitMQVersions.textile", "docs/Queues.textile", "docs/08Migration.textile", "docs/VendorSpecificExtensions.textile", "docs/AMQP091ModelExplained.textile", "docs/Bindings.textile", "docs/GettingStarted.textile", "docs/ErrorHandling.textile", "docs/Clustering.textile", "docs/TestingWithEventedSpec.textile"]
  s.files = [".gitignore", ".rspec", ".travis.yml", ".yardopts", "CHANGELOG", "Gemfile", "README.md", "Rakefile", "amqp.gemspec", "bin/ci/before_build.sh", "bin/cleanify.rb", "bin/docup", "bin/irb", "bin/set_test_suite_realms_up.sh", "docs/08Migration.textile", "docs/AMQP091ModelExplained.textile", "docs/Bindings.textile", "docs/Clustering.textile", "docs/ConnectingToTheBroker.textile", "docs/ConnectionEncryptionWithTLS.textile", "docs/DocumentationGuidesIndex.textile", "docs/Durability.textile", "docs/ErrorHandling.textile", "docs/Exchanges.textile", "docs/GettingStarted.textile", "docs/PatternsAndUseCases.textile", "docs/Queues.textile", "docs/RabbitMQVersions.textile", "docs/RunningTests.textile", "docs/TestingWithEventedSpec.textile", "docs/Troubleshooting.textile", "docs/VendorSpecificExtensions.textile", "docs/diagrams/001_hello_world_example_routing.png", "docs/diagrams/002_blabbr_example_routing.png", "docs/diagrams/003_weathr_example_routing.png", "docs/diagrams/004_fanout_exchange.png", "docs/diagrams/005_direct_exchange.png", "docs/diagrams/006_amqp_091_message_acknowledgements.png", "docs/diagrams/007_rabbitmq_publisher_confirms.png", "docs/diagrams/redhat/direct_exchange.png", "docs/diagrams/redhat/fanout_exchange.png", "docs/diagrams/redhat/topic_exchange.png", "examples/channels/open_channel_with_one_arity_callback.rb", "examples/channels/open_channel_without_assignment.rb", "examples/channels/prefetch_as_constructor_argument.rb", "examples/channels/qos_aka_prefetch.rb", "examples/channels/qos_aka_prefetch_without_callback.rb", "examples/connection/connect_and_immediately_disconnect.rb", "examples/deprecated/default_thread_local_channel_instance.rb", "examples/error_handling/automatic_recovery_of_channel_and_queues.rb", "examples/error_handling/automatically_recovering_hello_world_consumer.rb", "examples/error_handling/automatically_recovering_hello_world_consumer_that_uses_a_server_named_queue.rb", "examples/error_handling/basic_connection_failover.rb", "examples/error_handling/channel_level_exception.rb", "examples/error_handling/channel_level_exception_with_multiple_channels_involved.rb", "examples/error_handling/connection_level_exception.rb", "examples/error_handling/connection_level_exception_with_objects.rb", "examples/error_handling/connection_loss_handler.rb", "examples/error_handling/global_channel_level_exception_handler.rb", "examples/error_handling/handling_authentication_failure_with_a_callback.rb", "examples/error_handling/handling_authentication_failure_with_a_rescue_block.rb", "examples/error_handling/handling_vhost_misconfiguration_with_a_rescue_block.rb", "examples/error_handling/hello_world_producer.rb", "examples/error_handling/insufficient_permissions.rb", "examples/error_handling/manual_connection_and_channel_recovery.rb", "examples/error_handling/queue_exclusivity_violation.rb", "examples/error_handling/queue_name_violation.rb", "examples/error_handling/reopening_a_channel_after_channel_level_exception.rb", "examples/error_handling/tcp_connection_failure_handling_with_a_rescue_block.rb", "examples/error_handling/tcp_connection_failure_with_a_callback.rb", "examples/exchanges/autodeletion_of_exchanges.rb", "examples/exchanges/declare_an_exchange_without_assignment.rb", "examples/extensions/rabbitmq/per_queue_message_ttl.rb", "examples/extensions/rabbitmq/publisher_confirmations_with_transient_messages.rb", "examples/extensions/rabbitmq/using_alternate_exchanges.rb", "examples/guides/getting_started/01_hello_world.rb", "examples/guides/getting_started/02_hello_world_dslified.rb", "examples/guides/getting_started/03_blabbr.rb", "examples/guides/getting_started/04_weathr.rb", "examples/guides/queues/01a_declaring_a_server_named_queue_using_queue_constructor.rb", "examples/guides/queues/01b_declaring_a_queue_using_queue_constructor.rb", "examples/guides/queues/02a_declaring_a_durable_shared_queue.rb", "examples/guides/queues/02b_declaring_a_durable_shared_queue.rb", "examples/guides/queues/03a_declaring_a_temporary_exclusive_queue.rb", "examples/guides/queues/03b_declaring_a_temporary_exclusive_queue.rb", "examples/guides/queues/04_bind_a_queue_using_exchange_instance.rb", "examples/guides/queues/05_bind_a_queue_using_exchange_name.rb", "examples/guides/queues/06_subscribe_to_receive_messages.rb", "examples/guides/queues/07_fetch_a_message_from_the_queue.rb", "examples/guides/queues/08_unsubscribing_a_consumer.rb", "examples/guides/queues/09_unbinding_from_exchange.rb", "examples/guides/queues/10_purge_a_queue.rb", "examples/guides/queues/11_deleting_a_queue.rb", "examples/guides/queues/12_objects_that_consume_messages.rb", "examples/guides/queues/13_objects_that_consume_messages_take_two.rb", "examples/hello_world.rb", "examples/hello_world_with_an_empty_string.rb", "examples/hello_world_with_eventmachine_in_a_separate_thread.rb", "examples/hello_world_with_large_payload.rb", "examples/inspecting_server_information.rb", "examples/issues/amq_client_issue_7.rb", "examples/issues/amq_protocol_issue_14.rb", "examples/issues/issue_75.rb", "examples/issues/issue_79.rb", "examples/issues/issue_80.rb", "examples/issues/issue_93.rb", "examples/issues/issue_94.rb", "examples/legacy/ack.rb", "examples/legacy/callbacks.rb", "examples/legacy/clock.rb", "examples/legacy/hashtable.rb", "examples/legacy/logger.rb", "examples/legacy/multiclock.rb", "examples/legacy/pingpong.rb", "examples/legacy/primes-simple.rb", "examples/legacy/primes.rb", "examples/legacy/stocks.rb", "examples/patterns/command/consumer.rb", "examples/patterns/command/producer.rb", "examples/patterns/event/consumer.rb", "examples/patterns/event/producer.rb", "examples/patterns/request_reply/client.rb", "examples/patterns/request_reply/server.rb", "examples/publishing/publishing_a_one_off_message.rb", "examples/publishing/publishing_callback.rb", "examples/publishing/returned_messages.rb", "examples/publishing/simplistic_scatter_gather.rb", "examples/queues/accessing_message_metadata.rb", "examples/queues/automatic_binding_for_default_direct_exchange.rb", "examples/queues/basic_get.rb", "examples/queues/cancel_default_consumer.rb", "examples/queues/declare_a_queue_without_assignment.rb", "examples/queues/declare_and_bind_a_server_named_queue.rb", "examples/queues/queue_status.rb", "examples/queues/rejecting_messages_without_requeueuing.rb", "examples/queues/using_explicit_acknowledgements.rb", "examples/rack/publish_a_message_on_request/thin.ru", "examples/routing/fanout_routing.rb", "examples/routing/headers_routing.rb", "examples/routing/pubsub.rb", "examples/routing/round_robin_with_direct_exchange.rb", "examples/routing/round_robin_with_the_default_exchange.rb", "examples/routing/unroutable_mandatory_message_is_returned.rb", "examples/routing/weather_updates.rb", "examples/tls/using_tls.rb", "examples/tls_certificates/client/cert.pem", "examples/tls_certificates/client/key.pem", "examples/tls_certificates/client/keycert.p12", "examples/tls_certificates/client/req.pem", "examples/tls_certificates/server/cert.pem", "examples/tls_certificates/server/key.pem", "examples/tls_certificates/server/keycert.p12", "examples/tls_certificates/server/req.pem", "examples/tls_certificates/testca/cacert.cer", "examples/tls_certificates/testca/cacert.pem", "examples/tls_certificates/testca/certs/01.pem", "examples/tls_certificates/testca/certs/02.pem", "examples/tls_certificates/testca/index.txt", "examples/tls_certificates/testca/index.txt.attr", "examples/tls_certificates/testca/index.txt.attr.old", "examples/tls_certificates/testca/index.txt.old", "examples/tls_certificates/testca/openssl.cnf", "examples/tls_certificates/testca/private/cakey.pem", "examples/tls_certificates/testca/serial", "examples/tls_certificates/testca/serial.old", "lib/amqp.rb", "lib/amqp/bit_set.rb", "lib/amqp/broker.rb", "lib/amqp/channel.rb", "lib/amqp/client.rb", "lib/amqp/compatibility/ruby187_patchlevel_check.rb", "lib/amqp/connection.rb", "lib/amqp/consumer.rb", "lib/amqp/deprecated/fork.rb", "lib/amqp/deprecated/logger.rb", "lib/amqp/deprecated/mq.rb", "lib/amqp/deprecated/rpc.rb", "lib/amqp/exceptions.rb", "lib/amqp/exchange.rb", "lib/amqp/ext/em.rb", "lib/amqp/ext/emfork.rb", "lib/amqp/extensions/rabbitmq.rb", "lib/amqp/header.rb", "lib/amqp/int_allocator.rb", "lib/amqp/integration/rails.rb", "lib/amqp/logger.rb", "lib/amqp/queue.rb", "lib/amqp/rpc.rb", "lib/amqp/session.rb", "lib/amqp/utilities/event_loop_helper.rb", "lib/amqp/utilities/server_type.rb", "lib/amqp/version.rb", "lib/mq.rb", "lib/mq/logger.rb", "lib/mq/rpc.rb", "spec/integration/authentication_spec.rb", "spec/integration/automatic_binding_for_default_direct_exchange_spec.rb", "spec/integration/automatic_recovery_predicate_spec.rb", "spec/integration/basic_get_spec.rb", "spec/integration/basic_return_spec.rb", "spec/integration/channel_close_spec.rb", "spec/integration/channel_level_exception_handling_spec.rb", "spec/integration/channel_level_exception_with_multiple_channels_spec.rb", "spec/integration/connection_level_exception_handling_spec.rb", "spec/integration/declare_and_immediately_bind_a_server_named_queue_spec.rb", "spec/integration/declare_one_hundred_server_named_queues_spec.rb", "spec/integration/direct_exchange_routing_spec.rb", "spec/integration/exchange_declaration_spec.rb", "spec/integration/extensions/rabbitmq/publisher_confirmations_spec.rb", "spec/integration/fanout_exchange_routing_spec.rb", "spec/integration/headers_exchange_routing_spec.rb", "spec/integration/hello_world_spec.rb", "spec/integration/immediate_messages_spec.rb", "spec/integration/mandatory_messages_spec.rb", "spec/integration/message_acknowledgement_spec.rb", "spec/integration/message_metadata_access_spec.rb", "spec/integration/multiple_consumers_per_queue_spec.rb", "spec/integration/ordering_of_published_messages_spec.rb", "spec/integration/queue_declaration_spec.rb", "spec/integration/queue_exclusivity_spec.rb", "spec/integration/queue_redeclaration_with_incompatible_attributes_spec.rb", "spec/integration/queue_status_spec.rb", "spec/integration/recovery/per_channel_automatic_recovery_on_graceful_broker_shutdown_spec.rb", "spec/integration/recovery/per_channel_automatic_recovery_spec.rb", "spec/integration/redelivery_of_unacknowledged_messages_spec.rb", "spec/integration/regressions/concurrent_publishing_on_the_same_channel_spec.rb", "spec/integration/regressions/empty_message_body_spec.rb", "spec/integration/regressions/issue66_spec.rb", "spec/integration/reply_queue_communication_spec.rb", "spec/integration/store_and_forward_spec.rb", "spec/integration/stress/publishing_of_messages_with_incrementing_sizes_spec.rb", "spec/integration/topic_subscription_spec.rb", "spec/integration/tx_commit_spec.rb", "spec/integration/tx_rollback_spec.rb", "spec/spec_helper.rb", "spec/unit/amqp/bit_set_spec.rb", "spec/unit/amqp/channel_id_allocation_spec.rb", "spec/unit/amqp/client_spec.rb", "spec/unit/amqp/connection_spec.rb", "spec/unit/amqp/int_allocator_spec.rb"]
  s.homepage = "http://github.com/ruby-amqp/amqp"
  s.post_install_message = "[\e[32mVersion 0.9.0 to 0.9.4\e[0m] [BUG] A couple of concurrency issues (race conditions) fixed for apps that actively close and/or reuse channels\n[\e[32mVersion 0.9.0 to 0.9.4\e[0m] [BUG] AMQP::Queue#initialize with :nowait => true no longer fails with NoMethodError\n[\e[32mVersion 0.9.0 to 0.9.4\e[0m] [FEATURE] Automatic recovery mode now works for publishers\n"
  s.rdoc_options = ["--include=examples --main README.md"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "amqp"
  s.rubygems_version = "1.8.23"
  s.summary = "Widely used, feature-rich asynchronous AMQP 0.9.1 client with batteries included"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_runtime_dependency(%q<amq-client>, ["~> 0.9.3"])
      s.add_runtime_dependency(%q<amq-protocol>, [">= 0.9.1"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<amq-client>, ["~> 0.9.3"])
      s.add_dependency(%q<amq-protocol>, [">= 0.9.1"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<amq-client>, ["~> 0.9.3"])
    s.add_dependency(%q<amq-protocol>, [">= 0.9.1"])
  end
end
